## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class BagType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.CollectionType
              org.eclipse.m2m.atl.adt.ui.text.atl.types.BagType

    public class BagType

extends CollectionType

The ATL Bag type.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.CollectionType
`parameterType`

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`BagType(OclAnyType parameter)` Constructor.

Method Summary
`java.lang.String` `getCollectionType()` Returns the collection kind.
`static BagType` `getInstance()` Returns the default Bag type singleton.
`OclAnyType[]` `getSupertypes()`
`protected java.util.List<Operation>` `getTypeOperations()` Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.CollectionType
`computeName, getParameterType`

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getFeatures, getOclType, getOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BagType

    public BagType(OclAnyType parameter)

  Constructor.

  Parameters:
    `parameter` - the Bag parameter type

Method Detail

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `CollectionType`
  See Also:
    `OclAnyType.getSupertypes()`

### getCollectionType

    public java.lang.String getCollectionType()

  Returns the collection kind.

  Overrides:
    `getCollectionType` in class `CollectionType`
  Returns:
    the collection kind
  See Also:
    `CollectionType.getCollectionType()`

### getTypeOperations

    protected java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Overrides:
    `getTypeOperations` in class `CollectionType`
  Returns:
    the operations
  See Also:
    `OclAnyType.getTypeOperations()`

### getInstance

    public static BagType getInstance()

  Returns the default Bag type singleton.

  Returns:
    the default Bag type singleton

Copyright 2007 IBM Corporation and others. All Rights Reserved.